#include <memory.h>
#include <vga.h>
#include <debug.h>

void clear_screen()
{
    unsigned char *vidmem = P2V(0xB8000);
    for(int i=0; i < 80*24*2; i++)
        *vidmem++ = 0;
}

void print_string(char *str)
{
    unsigned char *vidmem = P2V(0xB8000);
    while(*str)
    {
        *vidmem++ = *str++;
        *vidmem++ = 0x7;
    }
}

void kmain()
{
    vga_init();
    debug("Hello, world!");
    int value = 123;
    debug_info("dec: %d hex: %x, binary: %b", value, value, value);

    PANIC("End of kernel function!");
    
    debug_info("Broke out of panic")
    for(;;);
}